## EDU.oswego.cs.dl.util.concurrent
Class ThreadedExecutor

    java.lang.Object
      EDU.oswego.cs.dl.util.concurrent.ThreadFactoryUser
          EDU.oswego.cs.dl.util.concurrent.ThreadedExecutor

All Implemented Interfaces:
  Executor

    public class ThreadedExecutor

extends ThreadFactoryUser
implements Executor

An implementation of Executor that creates a new Thread that invokes the run method of the supplied command.

[ Introduction to this package. ]

Nested Class Summary

Nested classes/interfaces inherited from class EDU.oswego.cs.dl.util.concurrent.ThreadFactoryUser
`ThreadFactoryUser.DefaultThreadFactory`

Field Summary

Fields inherited from class EDU.oswego.cs.dl.util.concurrent.ThreadFactoryUser
`threadFactory_`

Constructor Summary
`ThreadedExecutor()`

Method Summary
`void` `execute(java.lang.Runnable command)` Execute the given command in a new thread.

Methods inherited from class EDU.oswego.cs.dl.util.concurrent.ThreadFactoryUser
`getThreadFactory, setThreadFactory`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ThreadedExecutor

    public ThreadedExecutor()

Method Detail

### execute

    public void execute(java.lang.Runnable command)
                 throws java.lang.InterruptedException

  Execute the given command in a new thread.

  Specified by:
    `execute` in interface `Executor`
  Throws:
    `java.lang.InterruptedException`